# Demon wallet adapter for React

## How to use

##### Install the sdk

```shell
  npm install @renec-foundation/wallet-adapter-react
  // or
  yarn add @renec-foundation/wallet-adapter-react
```

##### Integrate

Add provider

```js
import { Provider as WalletProvider } from "@renec-foundation/wallet-adapter-react";

<WalletProvider isMainnet={true} autoConnect={true} e2eWalletPrivKey={""}>
  {children}
</WalletProvider>;
```

- **Require**
  - **isMainnet**: Choose either `true` or `false` to select the mainnet or testnet.
  - **autoConnect**: Set the value to `true` or `false` to enable or disable auto connect feature.
- **Optional**
  - **e2eWalletPrivKey**: The passphrase of the test wallet used for end-to-end (e2e) testing.

##### Import button connect

```js
import { WalletMultiButton as DemonWalletConnect } from "@renec-foundation/wallet-adapter-react";
// or
const DemonWalletConnect = dynamic(
  async () =>
    (await import("@renec-foundation/wallet-adapter-react")).WalletMultiButton,
  { ssr: false }
);
```

using the button

```js
// Default
<DemonWalletConnect />

// Customs
<DemonWalletConnect
  listMenuItems={
    <>
      <li onClick={undefine}>
        {'Title 1'}
      </li>
      <li onClick={undefine}>
        {'Title 2'}
      </li>
    </>
  }
/>
```

- **listMenuItems**: The list contains custom add-ons
